Opened 2 years ago

Closed 8 months ago

#2133 closed Task (fixed)

HPC-09_Maisonnave-ATOS-ESIWACE

Reported by: smasson Owned by: emalod
Priority: low Milestone: Unscheduled
Component: LBC Version: trunk
Severity: minor Keywords:
Cc: Review: failed
MP ready?: yes
Progress: Unspecified

Description (last modified by smasson)

Context

HPC improvement in the frame of ESIWACE project

Proposal

action 1: add a BENCH test case
action 2: instrumentation of the communication time
action 3: improve North fold communications
action 4: less communications in sea-ice
action 5: less communications in oce
action 6: find best mpi domain decomposition
action 7: routines optimisation
action 8: less communications in top

Commit History (46)

ChangesetAuthorTimeChangeLog
10424smasson2018-12-19T22:51:49+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: to allow merge toward the trunk, see #2133

10423smasson2018-12-19T22:39:14+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: switch off optimisation introduced in [10175], see #2133

10422smasson2018-12-19T22:34:53+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: improve mppini messages, see #2133

10421smasson2018-12-19T22:32:59+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: missing commit following [10420], see #2133

10420smasson2018-12-19T21:04:32+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: force STOP when fail to allocate array, see #2133

10419smasson2018-12-19T20:46:30+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with trunk@10418, see #2133

10417smasson2018-12-19T15:14:45+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: suppress the use of nstop out of ctl_stop, see #2133

10412smasson2018-12-18T18:12:14+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: zpshde: no more lbc_lnk in the loops, see #2133

10410smasson2018-12-18T16:04:05+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: mssing commit in test following [10380], see #2133

10409smasson2018-12-18T12:53:24+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 6 add print when using non-optimal domain decomposition, see #2133

10408smasson2018-12-18T12:21:21+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 8 introduce sum3x3 and supress glob_sum in trcrad, see #2133

10402smasson2018-12-17T17:07:54+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: no more need of lk_mpp for mpp_sum/max/min, see #2133

10397smasson2018-12-14T17:27:24+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 5 introduce mpp_delay_sum, see #2133

10386smasson2018-12-14T11:55:21+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: safer use of l_full_nf_update (2 lines north fold exchange), see #2133

10380smasson2018-12-11T09:27:54+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: iom cleaning: (1) get rid of jpnf90, jprstlib, jlibalt, iolib and (2) improve iom_getatt and iom_putatt, see #2133

10377smasson2018-12-10T08:45:39+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with trunk@10376, see #2133

10372smasson2018-12-04T16:19:46+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 8: remove communications in TOP, see #2133

10369smasson2018-12-03T15:28:36+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: missing modifications in test/*/MY_SRC/domvvl.F90, see #2133

10368smasson2018-12-03T12:45:01+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with trunk@10365, see #2133

10365smasson2018-12-01T12:33:31+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with dev_r9866_HPC_03_globcom, see #2133

10360smasson2018-11-25T22:47:43+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: key_nosignedzero not related to configurations but to the arch files, see #2133

10359smasson2018-11-25T22:33:50+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 4c: introduce a better version of the non-blocking mpp_max, see #2133

10358smasson2018-11-25T15:24:21+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 5b: by default, suppress global communication in stpctl, see #2133

10357smasson2018-11-23T09:23:26+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: bugfix, see #2133

10345smasson2018-11-21T11:25:53+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with trunk@10344, see #2133

10343smasson2018-11-20T14:37:10+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 1b: add TOP in BENCH test case, see #2133

10337smasson2018-11-19T15:55:42+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 3d: force safe NPF (2 lines update) for field recieved from oasis, see #2133

10336smasson2018-11-19T15:34:28+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 7: zdfiwm.F90 and zdftke.F90 optimization from ATOS, see #2133

10330smasson2018-11-19T10:41:29+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 6: find the best mpi domain decomposition, see #2133

10329smasson2018-11-19T10:33:35+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 3c: slight cleanning/optimisation of lbc_lnk, see #2133

10316smasson2018-11-15T17:58:34+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2; add missing modifications for {10314}, see #2133

10314smasson2018-11-15T17:27:18+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2: add generic glob_min/max/sum and locmin/max, complete timing and report (including bdy and icb), see #2133

10300smasson2018-11-12T17:49:08+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2b: add waiting time for mpp_min/max/sum, see #2133

10299smasson2018-11-12T16:48:52+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2a: add missing routine from changeset [10297] and [10298], see #2133

10298smasson2018-11-12T16:45:32+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2a: add missing routine from changeset [10297], see #2133

10297smasson2018-11-12T16:20:57+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2a: add report calls of mppmin/max/sum, see #2133

10293smasson2018-11-09T16:47:05+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 5: reduce communications in oce, see #2133

10292smasson2018-11-09T16:35:08+01:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 4b: reduce communications in si3, see #2133

10180smasson2018-10-08T17:06:04+02:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 4b: reduce communications in si3, see #2133

10179smasson2018-10-08T14:47:55+02:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 4a: add si3 in BENCH, see #2133

10178smasson2018-10-08T14:31:33+02:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2b-bis: print cleaning in timing, see #2133

10175smasson2018-10-05T17:20:12+02:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 3b: north fold nogather performance optimisation , see #2133

10173smasson2018-10-05T14:38:01+02:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 3a: north fold bugfix for U and F upper-right corner with jperio=6, see #2133

10172smasson2018-10-04T17:32:54+02:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2b: improve of timing, add computing and waiting time, see #2133

10170smasson2018-10-03T16:49:50+02:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2a: add report calls of lbc_lnk, see #2133

10166smasson2018-10-03T11:25:38+02:00

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 1: add BENCh test case, see #2133

Change History (60)

comment:1 Changed 2 years ago by smasson

In 10166:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 1: add BENCh test case, see #2133

comment:2 Changed 2 years ago by smasson

action 1: done, see [10166]

comment:3 Changed 2 years ago by smasson

In 10170:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2a: add report calls of lbc_lnk, see #2133

comment:4 Changed 2 years ago by smasson

Last edited 23 months ago by smasson (previous) (diff)

comment:5 Changed 2 years ago by smasson

In 10172:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2b: improve of timing, add computing and waiting time, see #2133

comment:6 Changed 2 years ago by smasson

In 10173:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 3a: north fold bugfix for U and F upper-right corner with jperio=6, see #2133

comment:7 Changed 2 years ago by smasson

jperio = 4: nogather and gather differ… to be solved…
jperio = 6 is ok (at least on our bench tests…)

comment:8 Changed 2 years ago by smasson

In 10175:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 3b: north fold nogather performance optimisation , see #2133

comment:9 Changed 2 years ago by smasson

Warning: [10175] change the results because in fortran (a + b) + c /= a + (b + c )…
For example, in north fold, triad won't be computed in the exact same order, creating very small differences in duplicated grid points (2 points of the grid having the same geographical location).

comment:10 Changed 2 years ago by smasson

In 10178:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2b-bis: print cleaning in timing, see #2133

comment:11 Changed 2 years ago by smasson

In 10179:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 4a: add si3 in BENCH, see #2133

comment:12 Changed 2 years ago by smasson

In 10180:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 4b: reduce communications in si3, see #2133

comment:13 Changed 2 years ago by emalod

Warning: [10180] change the results because convergence criteria in icethd_zdf_bl99 subroutine is changed.
Before: convergence loop is stopped in all MPI sub-domains when criteria is fulfilled everywhere.
Now: convergence loop is stopped locally for each MPI sub-domain and, at each point, the variable is filled with the value obtained when criteria is fulfilled in that point (and not the value got when criteria is fulfilled everywhere in the whole sub-domain)
In both cases, the results are MPI-decomposition independent but they are changed by the implementation.

comment:14 Changed 2 years ago by smasson

  • MP ready? set to no
  • Progress modified (diff)

comment:15 Changed 2 years ago by smasson

  • MP ready? changed from no to yes
  • Progress modified (diff)

comment:16 Changed 23 months ago by smasson

In 10292:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 4b: reduce communications in si3, see #2133

comment:17 Changed 23 months ago by smasson

  • Description modified (diff)

comment:18 Changed 23 months ago by smasson

In 10293:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 5: reduce communications in oce, see #2133

comment:19 Changed 23 months ago by smasson

In 10297:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2a: add report calls of mppmin/max/sum, see #2133

Last edited 22 months ago by smasson (previous) (diff)

comment:20 Changed 23 months ago by smasson

In 10298:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2a: add missing routine from changeset [10297], see #2133

comment:21 Changed 23 months ago by smasson

In 10299:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2a: add missing routine from changeset [10297] and [10298], see #2133

comment:22 Changed 23 months ago by smasson

In 10300:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2b: add waiting time for mpp_min/max/sum, see #2133

comment:23 Changed 22 months ago by smasson

In 10314:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2: add generic glob_min/max/sum and locmin/max, complete timing and report (including bdy and icb), see #2133

Get back the possibility to compile and run without key_mpp_mpi

In action 2a, we used the following script to automatically modify (almost) all the calls to lbc_lnk, lbc_bdy_lnk, mpp_min/max/sum, mpp_min/maxloc and glob_min/max/sum

set -u

for dd in $( find . -wholename "*/MY_SRC" ) $( find src -type d | grep -v svn )
do
    cd $dd
    pwd
    echo
    for file in `grep -i "call  *lbc_lnk *( *[a-zA-Z_0-9]" * | awk '{print $1}' | sed s/\:'.*'// | uniq`
    do
        routinename=` echo $file | sed s/\\\.'.*'//`
        sed -e "s/ lbc_lnk\( *\)(\( *\)\([a-zA-Z_0-9]\)/ lbc_lnk\1(\2\'${routinename}\', \3/g"              \
            -e "s/ lbc_lnk_multi\( *\)(\( *\)\([a-zA-Z_0-9]\)/ lbc_lnk_multi\1(\2\'${routinename}\', \3/g"  \
            $file > toto
        mv toto $file
        echo $file done
    done
    for file in `grep -i "call  *lbc_bdy_lnk *( *[a-zA-Z_0-9]" * | awk '{print $1}' | sed s/\:'.*'// | uniq`
    do
        routinename=` echo $file | sed s/\\\.'.*'//`
        sed -e "s/ lbc_bdy_lnk\( *\)(\( *\)\([a-zA-Z_0-9]\)/ lbc_bdy_lnk\1(\2\'${routinename}\', \3/g"  \
            $file > toto
        mv toto $file
        echo $file done
    done
    for file in `grep -i "call  *mpp_... *( *[a-zA-Z_0-9]" * | awk '{print $1}' | sed s/\:'.*'// | uniq | grep -v lib_fortran_generic.h90`
    do
        routinename=` echo $file | sed s/\\\.'.*'//`
        sed -e "s/ mpp_min\( *\)(\( *\)\([a-zA-Z_0-9]\)/ mpp_min\1(\2\'${routinename}\', \3/g" \
            -e "s/ mpp_max\( *\)(\( *\)\([a-zA-Z_0-9]\)/ mpp_max\1(\2\'${routinename}\', \3/g" \
            -e "s/ mpp_sum\( *\)(\( *\)\([a-zA-Z_0-9]\)/ mpp_sum\1(\2\'${routinename}\', \3/g" \
            $file > toto
        mv toto $file
        echo $file done
    done
    for file in `grep -i "call  *mpp_...loc *( *[a-zA-Z_0-9]" * | awk '{print $1}' | sed s/\:'.*'// | uniq`
    do
        routinename=` echo $file | sed s/\\\.'.*'//`
        sed -e "s/ mpp_minloc\( *\)(\( *\)\([a-zA-Z_0-9]\)/ mpp_minloc\1(\2\'${routinename}\', \3/g" \
            -e "s/ mpp_maxloc\( *\)(\( *\)\([a-zA-Z_0-9]\)/ mpp_maxloc\1(\2\'${routinename}\', \3/g" \
            $file > toto
        mv toto $file
        echo $file done
    done
    for file in `grep -i "glob_... *( *[a-zA-Z_0-9(]" * | awk '{print $1}' | sed s/\:'.*'// | uniq`
    do
        routinename=` echo $file | sed s/\\\.'.*'//`
        sed -e "s/ glob_min\( *\)(\( *\)\([a-zA-Z_0-9(]\)/ glob_min\1(\2\'${routinename}\', \3/g" \
            -e "s/ glob_max\( *\)(\( *\)\([a-zA-Z_0-9(]\)/ glob_max\1(\2\'${routinename}\', \3/g" \
            -e "s/ glob_sum\( *\)(\( *\)\([a-zA-Z_0-9(]\)/ glob_sum\1(\2\'${routinename}\', \3/g" \
            -e "s/ glob_sum_full\( *\)(\( *\)\([a-zA-Z_0-9(]\)/ glob_sum_full\1(\2\'${routinename}\', \3/g" \
            $file > toto
        mv toto $file
        echo $file done
    done
    echo
    cd -
done
Last edited 22 months ago by smasson (previous) (diff)

comment:24 Changed 22 months ago by smasson

In 10316:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 2; add missing modifications for {10314}, see #2133

comment:25 Changed 22 months ago by smasson

In 10329:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 3c: slight cleanning/optimisation of lbc_lnk, see #2133

comment:26 Changed 22 months ago by smasson

  • Description modified (diff)

comment:27 Changed 22 months ago by smasson

In 10330:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 6: find the best mpi domain decomposition, see #2133

comment:28 Changed 22 months ago by smasson

  • if jpni < 1 or jpnj < 1 : find the best mpi domain decomposition defined as the smaller subdomain size for smaller number of mpi processes. This search takes into account land subdomains in order to exclude them.
  • add verbosity to provide the best domain decompositions to users that are using non-optimal domain decomposition
  • land suppression is no more forced to be set to the total number of land subdomains. For example, we can run orca2 on 128 cores, excluding only 7 land subdomains among a total of 13. Benefit : land suppression can now be used with agrif!
  • namelist variable jpnij is no more used (and should be removed from the namelist) as, today, it is already defined/constrained by the number of mpi processes spawn when starting nemo (→ variable mppsize in the code). In other words, today in NEMO, all mpi processes must be attributed to a subdomain, there is no way to have for example idle mpi processes.
  • suppress (jpiglo,jpjglo) local variable for the global land)sea mask: instead we read jpnj stripes of size (jpiglo,jpj). Limit the mpi processes reading the land-sea mask to a maximum of 100 (this limit should smaller/larger?).

comment:29 Changed 22 months ago by smasson

  • Description modified (diff)

comment:30 Changed 22 months ago by smasson

In 10336:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 7: zdfiwm.F90 and zdftke.F90 optimization from ATOS, see #2133

comment:31 Changed 22 months ago by smasson

In 10337:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 3d: force safe NPF (2 lines update) for field recieved from oasis, see #2133

comment:32 Changed 22 months ago by smasson

In 10343:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 1b: add TOP in BENCH test case, see #2133

comment:33 Changed 22 months ago by smasson

In 10345:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with trunk@10344, see #2133

comment:34 Changed 22 months ago by smasson

In 10357:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: bugfix, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O2 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10357_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10357_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10380  ( last change @ r10357 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181211
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         incomplete test
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181211
WAMM12_ST                    run.stat    restartability  passed :  20181211
WORCA2_SAS_ICE_ST            incomplete test
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  incomplete test
WISOMIP_ST                   directory is MISSING               :  20181211
WOVERFLOW_ST                 run.stat    restartability  passed :  20181211
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181211
WVORTEX_ST                   directory is MISSING               :  20181211
WICEDYN_ST                   directory is MISSING               :  20181211

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181211
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181211
WAMM12_ST                    run.stat    reproducibility passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181211
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  run.stat    reproducibility passed :  20181211
WISOMIP_ST                   directory is MISSING               :  20181211
WVORTEX_ST                   directory is MISSING               :  20181211
WICEDYN_ST                   directory is MISSING               :  20181211

   !----agrif check----!
WAGRIF_DEMO_NOAGRIF_ST      WAGRIF_DEMO_ST
 incomplete test
Last edited 22 months ago by smasson (previous) (diff)

comment:35 Changed 22 months ago by smasson

In 10358:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 5b: by default, suppress global communication in stpctl, see #2133

  • now we must have ln_ctl = .true. to get the run.stat* files —> change in sette
  • if ln_ctl = .false. only local max is checked in stptl. If one of the mpi subdomain exceeds acceptable values, it writes its error message in ocean.output (even if it is not subdomain 1), write its output.abort file and call mpi_abort( MPI_COMM_WORLD )
  • time.step is now written only by the first subdomain (lwm)
  • suppress the use of ioipsl in dia_wri_state and ice_wri_state and replace it by iom_rstput
  • allow to have 3 types of third dimension at the same time in iom_rstput
Last edited 22 months ago by smasson (previous) (diff)

comment:36 Changed 22 months ago by smasson

In 10359:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 4c: introduce a better version of the non-blocking mpp_max, see #2133

comment:37 Changed 22 months ago by smasson

In 10360:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: key_nosignedzero not related to configurations but to the arch files, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O2 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10360_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10360_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10380  ( last change @ r10360 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181211
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181211
WAMM12_ST                    run.stat    restartability  passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  directory is MISSING               :  20181211
WISOMIP_ST                   directory is MISSING               :  20181211
WOVERFLOW_ST                 run.stat    restartability  passed :  20181211
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181211
WVORTEX_ST                   directory is MISSING               :  20181211
WICEDYN_ST                   directory is MISSING               :  20181211

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181211
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181211
WAMM12_ST                    run.stat    reproducibility passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181211
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  directory is MISSING               :  20181211
WISOMIP_ST                   directory is MISSING               :  20181211
WVORTEX_ST                   directory is MISSING               :  20181211
WICEDYN_ST                   directory is MISSING               :  20181211

   !----agrif check----!
WAGRIF_DEMO_NOAGRIF_ST      WAGRIF_DEMO_ST
 incomplete test

Last edited 22 months ago by smasson (previous) (diff)

comment:38 Changed 22 months ago by smasson

In 10365:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with dev_r9866_HPC_03_globcom, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O2 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10365_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10365_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10380  ( last change @ r10365 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181211
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181211
WAMM12_ST                    run.stat    restartability  passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  directory is MISSING               :  20181211
WISOMIP_ST                   directory is MISSING               :  20181211
WOVERFLOW_ST                 run.stat    restartability  passed :  20181211
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181211
WVORTEX_ST                   directory is MISSING               :  20181211
WICEDYN_ST                   directory is MISSING               :  20181211

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181211
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181211
WAMM12_ST                    run.stat    reproducibility passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181211
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  directory is MISSING               :  20181211
WISOMIP_ST                   directory is MISSING               :  20181211
WVORTEX_ST                   directory is MISSING               :  20181211
WICEDYN_ST                   directory is MISSING               :  20181211

   !----agrif check----!
WAGRIF_DEMO_NOAGRIF_ST      WAGRIF_DEMO_ST
 incomplete test
Last edited 22 months ago by smasson (previous) (diff)

comment:39 Changed 22 months ago by smasson

In 10368:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with trunk@10365, see #2133

comment:40 Changed 22 months ago by smasson

In 10369:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: missing modifications in test/*/MY_SRC/domvvl.F90, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O2 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10369_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10369_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10380  ( last change @ r10369 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181211
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181211
WAMM12_ST                    run.stat    restartability  passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  run.stat    restartability  passed :  20181211
WISOMIP_ST                   run.stat    restartability  passed :  20181211
WOVERFLOW_ST                 run.stat    restartability  passed :  20181211
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181211
WVORTEX_ST                   run.stat    restartability  passed :  20181211
WICEDYN_ST                   incomplete test
WICEDYN_ST                   run FAILED :  20181211

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181211
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181211
WAMM12_ST                    run.stat    reproducibility passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181211
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  run.stat    reproducibility passed :  20181211
WISOMIP_ST                   run.stat    reproducibility passed :  20181211
WVORTEX_ST                   run.stat    reproducibility passed :  20181211
WICEDYN_ST                   run.stat    reproducibility passed :  20181211
WICEDYN_ST                   run FAILED :  20181211

   !----agrif check----!
WAGRIF_DEMO_NOAGRIF_ST      WAGRIF_DEMO_ST
 incomplete test

Last edited 22 months ago by smasson (previous) (diff)

comment:41 Changed 22 months ago by smasson

  • Description modified (diff)

comment:42 Changed 22 months ago by smasson

In 10372:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 8: remove communications in TOP, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O2 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10372_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10372_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10379  ( last change @ r10372 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181211
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         incomplete test
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181211
WAMM12_ST                    run.stat    restartability  passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  run.stat    restartability  passed :  20181211
WISOMIP_ST                   run.stat    restartability  passed :  20181211
WOVERFLOW_ST                 run.stat    restartability  passed :  20181211
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181211
WVORTEX_ST                   run.stat    restartability  passed :  20181211
WICEDYN_ST                   incomplete test
WICEDYN_ST                   run FAILED :  20181211

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181211
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181211
WAMM12_ST                    run.stat    reproducibility passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181211
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181211
WAGRIF_DEMO_ST               directory is MISSING               :  20181211
WSPITZ12_ST                  run.stat    reproducibility passed :  20181211
WISOMIP_ST                   run.stat    reproducibility passed :  20181211
WVORTEX_ST                   run.stat    reproducibility passed :  20181211
WICEDYN_ST                   run.stat    reproducibility passed :  20181211
WICEDYN_ST                   run FAILED :  20181211

   !----agrif check----!
WAGRIF_DEMO_NOAGRIF_ST      WAGRIF_DEMO_ST
 incomplete test
Last edited 22 months ago by smasson (previous) (diff)

comment:43 Changed 22 months ago by smasson

In 10377:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with trunk@10376, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O3 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10377_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10377_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10379  ( last change @ r10377 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181211
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181211
WAMM12_ST                    run.stat    restartability  passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181211
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20181211
WSPITZ12_ST                  run.stat    restartability  passed :  20181211
WISOMIP_ST                   run.stat    restartability  passed :  20181211
WOVERFLOW_ST                 run.stat    restartability  passed :  20181211
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181211
WVORTEX_ST                   run.stat    restartability  passed :  20181211
WICEDYN_ST                   run.stat    restartability  passed :  20181211

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181211
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181211
WAMM12_ST                    run.stat    reproducibility passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181211
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181211
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20181211
WSPITZ12_ST                  run.stat    reproducibility passed :  20181211
WISOMIP_ST                   run.stat    reproducibility passed :  20181211
WVORTEX_ST                   run.stat    reproducibility passed :  20181211
WICEDYN_ST                   run.stat    reproducibility passed :  20181211

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    changed  -     FAILED :  20181211 20181211

Last edited 22 months ago by smasson (previous) (diff)

comment:44 Changed 22 months ago by smasson

In 10380:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: iom cleaning: (1) get rid of jpnf90, jprstlib, jlibalt, iolib and (2) improve iom_getatt and iom_putatt, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O3 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10380_r10164_HPC09_ESIWACE_PREP_MERGE/sette

-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm

-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10380_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10380  ( last change @ r10380 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181211
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181211
WAMM12_ST                    run.stat    restartability  passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181211
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20181211
WSPITZ12_ST                  run.stat    restartability  passed :  20181211
WISOMIP_ST                   run.stat    restartability  passed :  20181211
WOVERFLOW_ST                 run.stat    restartability  passed :  20181211
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181211
WVORTEX_ST                   run.stat    restartability  passed :  20181211
WICEDYN_ST                   run.stat    restartability  passed :  20181211

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181211
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181211
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181211
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181211
WAMM12_ST                    run.stat    reproducibility passed :  20181211
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181211
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181211
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20181211
WSPITZ12_ST                  run.stat    reproducibility passed :  20181211
WISOMIP_ST                   run.stat    reproducibility passed :  20181211
WVORTEX_ST                   run.stat    reproducibility passed :  20181211
WICEDYN_ST                   run.stat    reproducibility passed :  20181211

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    changed  -     FAILED :  20181211 20181211


Last edited 22 months ago by smasson (previous) (diff)

comment:45 Changed 22 months ago by smasson

In 10386:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: safer use of l_full_nf_update (2 lines north fold exchange), see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O3 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10386_r10164_HPC09_ESIWACE_PREP_MERGE/sette
bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10386_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10386  ( last change @ r10386 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181214
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181214
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181214
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181214
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181214
WAMM12_ST                    run.stat    restartability  passed :  20181214
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181214
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20181214
WSPITZ12_ST                  run.stat    restartability  passed :  20181214
WISOMIP_ST                   run.stat    restartability  passed :  20181214
WOVERFLOW_ST                 run.stat    restartability  passed :  20181214
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181214
WVORTEX_ST                   run.stat    restartability  passed :  20181214
WICEDYN_ST                   run.stat    restartability  passed :  20181214

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181214
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181214
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181214
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181214
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181214
WAMM12_ST                    run.stat    reproducibility passed :  20181214
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181214
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181214
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20181214
WSPITZ12_ST                  run.stat    reproducibility passed :  20181214
WISOMIP_ST                   run.stat    reproducibility passed :  20181214
WVORTEX_ST                   run.stat    reproducibility passed :  20181214
WICEDYN_ST                   run.stat    reproducibility passed :  20181214

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    changed  -     FAILED :  20181214 20181214

!!---------------2nd pass------------------!!

Last edited 22 months ago by smasson (previous) (diff)

comment:46 Changed 21 months ago by smasson

In 10397:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 5 introduce mpp_delay_sum, see #2133

comment:47 Changed 21 months ago by smasson

In 10402:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: no more need of lk_mpp for mpp_sum/max/min, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O3 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10402_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10402_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10404  ( last change @ r10402 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181218
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181218
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181218
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181218
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181218
WAMM12_ST                    run.stat    restartability  passed :  20181218
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181218
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20181218
WSPITZ12_ST                  directory is MISSING               :  20181218
WISOMIP_ST                   run.stat    restartability  passed :  20181218
WOVERFLOW_ST                 run.stat    restartability  passed :  20181218
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181218
WVORTEX_ST                   run.stat    restartability  passed :  20181218
WICEDYN_ST                   run.stat    restartability  passed :  20181218

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181218
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181218
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181218
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181218
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181218
WAMM12_ST                    run.stat    reproducibility passed :  20181218
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181218
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181218
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20181218
WSPITZ12_ST                  directory is MISSING               :  20181218
WISOMIP_ST                   run.stat    reproducibility passed :  20181218
WVORTEX_ST                   run.stat    reproducibility passed :  20181218
WICEDYN_ST                   run.stat    reproducibility passed :  20181218

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    changed  -     FAILED :  20181218 20181218
Last edited 21 months ago by smasson (previous) (diff)

comment:48 Changed 21 months ago by smasson

In 10408:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 8 introduce sum3x3 and supress glob_sum in trcrad, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O3 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10408_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10408_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10408  ( last change @ r10408 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181218
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181218
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181218
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181218
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181218
WAMM12_ST                    run.stat    restartability  passed :  20181218
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181218
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20181218
WSPITZ12_ST                  run.stat    restartability  passed :  20181218
WISOMIP_ST                   run.stat    restartability  passed :  20181218
WOVERFLOW_ST                 run.stat    restartability  passed :  20181218
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181218
WVORTEX_ST                   run.stat    restartability  passed :  20181218
WICEDYN_ST                   run.stat    restartability  passed :  20181218

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181218
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181218
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181218
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181218
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181218
WAMM12_ST                    run.stat    reproducibility passed :  20181218
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181218
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181218
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20181218
WSPITZ12_ST                  run.stat    reproducibility passed :  20181218
WISOMIP_ST                   run.stat    reproducibility passed :  20181218
WVORTEX_ST                   run.stat    reproducibility passed :  20181218
WICEDYN_ST                   run.stat    reproducibility passed :  20181218

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    changed  -     FAILED :  20181218 20181218

Last edited 21 months ago by smasson (previous) (diff)

comment:49 Changed 21 months ago by smasson

In 10409:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: action 6 add print when using non-optimal domain decomposition, see #2133

Sette tests on Irene with ln_ctl = .true., "-i4 -r8 -O3 -fp-model precise -fno-alias" and "nn_sponge_len = 1"

-bash-4.2$ pwd
/ccc/scratch/cont005/ra0542/massons/rev10409_r10164_HPC09_ESIWACE_PREP_MERGE/sette
-bash-4.2$ svn status .. | grep "^M"
M       ../cfgs/SHARED/namelist_ref
M       ../src/NST/agrif_oce.F90
M       ../arch/CNRS/arch-X64_IRENE.fcm
-bash-4.2$ ./sette_rpt.sh
svn
/ccc/scratch/cont005/ra0542/massons/rev10409_r10164_HPC09_ESIWACE_PREP_MERGE/sette/../.svn
SETTE validation report : utils @ r10409  ( last change @ r10409 )

!!---------------1st pass------------------!!

   !----restart----!
WGYRE_PISCES_ST              run.stat    restartability  passed :  20181218
WGYRE_PISCES_ST              tracer.stat restartability  passed :  20181218
WORCA2_ICE_PISCES_ST         run.stat    restartability  passed :  20181218
WORCA2_ICE_PISCES_ST         tracer.stat restartability  passed :  20181218
WORCA2_OFF_PISCES_ST         tracer.stat restartability  passed :  20181218
WAMM12_ST                    run.stat    restartability  passed :  20181218
WORCA2_SAS_ICE_ST            run.stat    restartability  passed :  20181218
WAGRIF_DEMO_ST               run.stat    restartability  passed :  20181218
WSPITZ12_ST                  run.stat    restartability  passed :  20181218
WISOMIP_ST                   run.stat    restartability  passed :  20181218
WOVERFLOW_ST                 run.stat    restartability  passed :  20181218
WLOCK_EXCHANGE_ST            run.stat    restartability  passed :  20181218
WVORTEX_ST                   run.stat    restartability  passed :  20181218
WICEDYN_ST                   run.stat    restartability  passed :  20181218

   !----repro----!
WGYRE_PISCES_ST              run.stat    reproducibility passed :  20181218
WGYRE_PISCES_ST              tracer.stat reproducibility passed :  20181218
WORCA2_ICE_PISCES_ST         run.stat    reproducibility passed :  20181218
WORCA2_ICE_PISCES_ST         tracer.stat reproducibility passed :  20181218
WORCA2_OFF_PISCES_ST         tracer.stat reproducibility passed :  20181218
WAMM12_ST                    run.stat    reproducibility passed :  20181218
WORCA2_SAS_ICE_ST            run.stat    reproducibility passed :  20181218
WORCA2_ICE_OBS_ST            run.stat    reproducibility passed :  20181218
WAGRIF_DEMO_ST               run.stat    reproducibility passed :  20181218
WSPITZ12_ST                  run.stat    reproducibility passed :  20181218
WISOMIP_ST                   run.stat    reproducibility passed :  20181218
WVORTEX_ST                   run.stat    reproducibility passed :  20181218
WICEDYN_ST                   run.stat    reproducibility passed :  20181218

   !----agrif check----!
ORCA2 AGRIF vs ORCA2 NOAGRIF run.stat    changed  -     FAILED :  20181218 20181218


Last edited 21 months ago by smasson (previous) (diff)

comment:50 Changed 21 months ago by smasson

In 10410:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: mssing commit in test following [10380], see #2133

comment:51 Changed 21 months ago by smasson

In 10412:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: zpshde: no more lbc_lnk in the loops, see #2133

comment:52 Changed 21 months ago by smasson

In 10417:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: suppress the use of nstop out of ctl_stop, see #2133

comment:53 Changed 21 months ago by smasson

In 10419:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: merge with trunk@10418, see #2133

comment:54 Changed 21 months ago by smasson

In 10420:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: force STOP when fail to allocate array, see #2133

comment:55 Changed 21 months ago by smasson

In 10421:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: missing commit following [10420], see #2133

comment:56 Changed 21 months ago by smasson

In 10422:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: improve mppini messages, see #2133

comment:57 Changed 21 months ago by smasson

In 10423:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: switch off optimisation introduced in [10175], see #2133

comment:58 Changed 21 months ago by smasson

In 10424:

dev_r10164_HPC09_ESIWACE_PREP_MERGE: to allow merge toward the trunk, see #2133

comment:59 Changed 19 months ago by nemo

  • Milestone changed from 2018 WP to Unscheduled

Closing milestone:2018
Transfer remaining open tickets to milestone:Unscheduled

comment:60 Changed 8 months ago by emalod

  • Resolution set to fixed
  • Status changed from new to closed
Note: See TracTickets for help on using tickets.